﻿using System;
using System.Threading;
using System.Windows;

namespace DesktopOdpocet
{
    public partial class MainWindow : Window
    {
        private DateTime konecCas;
        private Timer timer;

        public MainWindow()
        {
            InitializeComponent();

            // Nastavení režimu celé obrazovky
            WindowState = WindowState.Maximized;

            // Skrytí okenního rámečku a tlačítek systémového menu
            WindowStyle = WindowStyle.None;
            InitializeComponent();

            konecCas = new DateTime(2024, 7, 2, 7, 30, 0); // Zde nastavte datum a čas cílové události
            timer = new Timer(UpdateCountdown, null, 0, 1000); // Aktualizace každou sekundu
        }

        private void UpdateCountdown(object state)
        {
            TimeSpan remainingTime = konecCas - DateTime.Now;
            if (remainingTime.TotalSeconds <= 0)
            {
                // Událost již proběhla
                UpdateUi("Tábor je tady!");
                timer.Change(Timeout.Infinite, Timeout.Infinite);
            }
            else
            {
                string countdownText = $"{remainingTime.Days} dní, {remainingTime.Hours} hodin, {remainingTime.Minutes} minut, {remainingTime.Seconds} sekund";
                UpdateUi(countdownText);
            }
        }

        private void UpdateUi(string text)
        {
            // Aktualizace UI na hlavním vlákně
            Dispatcher.Invoke(() => odpocetTextBlock.Text = text);
        }
    }
}
